# This repository adheres to the publiccode.yml standard by including this 
# metadata file that makes public software easily discoverable.
# More info at https://github.com/italia/publiccode.yml

publiccodeYmlVersion: '0.3'
name: BvC - Signature PoC
url: 'https://gitlab.o4oe.de/ig-bvc/ag-sig/signature-poc'
releaseDate: '2022-03-31'
softwareVersion: '1.0'
logo: 'https://gitlab.o4oe.de/uploads/-/system/group/avatar/101/87377279.png'
developmentStatus: development
platforms:
  - web
usedBy:
  - IG BvC
softwareType: standalone/other
categories:
  - ide
maintenance:
  type: contract
  contacts:
    - name: Johann Siegl
      email: johann.siegl@brz.gv.at
      phone: '+436648393989'
  contractors:
    - name: IG BvC
      until: '2022-12-31'
      website: >-
        https://portale-dvz.mvnet.de/dvz/standdatenzentralen/SitePages/Homepage.aspx
legal:
  license: Apache-2.0
  repoOwner: IG BvC
localisation:
  localisationReady: false
  availableLanguages:
    - de
    - it
it:
  countryExtensionVersion: '0.2'
  riuso:
    codiceIPA: agid
  conforme:
    lineeGuidaDesign: true
    misureMinimeSicurezza: true
    modelloInteroperabilita: true
    gdpr: true
  piattaforme:
    spid: false
description:
  it:
    genericName: BvC - Signature PoC
    shortDescription: Signature PoC
    longDescription: >2
       

      # Using and validating signed container images in kubernetes / OKD /
      OpenShift


      ## install connaisseur in your cluster


      ### OKD / OpenShift 4


      - login with cluster admin rights

      - create namespace: `oc new-project infra-connaisseur` 

      - edit co-values.yaml (or at least check it)

      - install from here with:
       `helm install sigpoc connaisseur/helm --atomic --namespace infra-connaisseur -f co-values.yaml` 
      - Add the following label to the namespaces / projects you want to enable:
      `oc label ns/mysupernamespace
      securesystemsengineering.connaisseur/webhook=validate`

      - `...`
  de:
    genericName: BvC - Signature PoC
    shortDescription: IG BvC - Signatur PoC
    longDescription: >2
       

      # Using and validating signed container images in kubernetes / OKD /
      OpenShift


      ## install connaisseur in your cluster


      ### OKD / OpenShift 4


      - login with cluster admin rights

      - create namespace: `oc new-project infra-connaisseur` 

      - edit co-values.yaml (or at least check it)

      - install from here with:
       `helm install sigpoc connaisseur/helm --atomic --namespace infra-connaisseur -f co-values.yaml` 
      - Add the following label to the namespaces / projects you want to enable:
      `oc label ns/mysupernamespace
      securesystemsengineering.connaisseur/webhook=validate`

      - `...`
